

/* action.h */


/*------------------------------------------------------------------------
 * Module for the complete game calculation
 *------------------------------------------------------------------------
 */


/*----------------------------------------------------------------------*/

#ifndef ACTION_H
#define ACTION_H

/*----------------------------------------------------------------------*/

#include "mytypes.h"

/*----------------------------------------------------------------------*/


typedef struct s_ACTION *tpsACTION;
typedef tpsACTION       *tppsACTION;

/*---------------------------------------------*/

tpsACTION psActionCreate    (tVOID);
tpsACTION psActionDestroy   (tpsACTION psAct);
tpsACTION psActionMemUsage  (tpsACTION psAct, tpCOUNT pcnSizeof, tpCOUNT pcnBlocks);

tVOID     vActionGameLoop   (tpsACTION psAct, tPSZc pzPattern);

tpPSZ     ppzActionSpecials (tpPSZ ppzSpec, tpsACTION psAct);

tpPSZ     ppzActionTable    (tpPSZ ppzTable, tpsACTION psAct, tPSZc pzContent);


/*----------------------------------------------------------------------*/

#endif
