

/* statsymm.h */


/*------------------------------------------------------------------------
 * Solitaire field statistics: Symmetry
 *------------------------------------------------------------------------
 */


/*
 * StatGame[Stones]->StatStne[SymType]->StatSymm[All|Nrm]->StatTree
 */


/*----------------------------------------------------------------------*/

#ifndef STATSYMM_H
#define STATSYMM_H

/*----------------------------------------------------------------------*/

#include "mytypes.h"
#include "field.h"
#include "stattabs.h"

/*----------------------------------------------------------------------*/


typedef struct s_STATSYMM *tpsSTATSYMM;
typedef tpsSTATSYMM       *tppsSTATSYMM;

/*---------------------------------------------*/

tpsSTATSYMM psStatSymmCreate   (tVOID);
tpsSTATSYMM psStatSymmDestroy  (tpsSTATSYMM psSymm);
tpsSTATSYMM psStatSymmMemUsage (tpsSTATSYMM psSymm, tpCOUNT pcnSizeof, tpCOUNT pcnBlocks);

tVOID       vStatSymmAddField  (tpsSTATSYMM psSymm, tpsFIELDSTT psStt);
tVOID       vStatSymmAddObject (tpsSTATSYMM psSymm, tpsSTATSYMM psAdd);
tVOID       vStatSymmCalcWhole (tpsSTATSYMM psSymm);
tBOOL       bStatSymmIsEmpty   (tpsSTATSYMM psSymm);
tCOUNT      cnStatSymmMaxMoves (tpsSTATSYMM psSymm);

tVOID       vStatSymmTabSet    (tpsSTATSYMM psSymm, tpsSTATTABS psTabs, tPSZc pzContent);


/*----------------------------------------------------------------------*/

#endif
